Bug 433889 - Character loss on PL2303 devices after FC8 upgrade
Summary: Character loss on PL2303 devices after FC8 upgrade
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-21 22:47 UTC by Kevin W. Rudd
Modified: 2008-03-10 02:48 UTC (History)
0 users

Fixed In Version: 2.6.24.3-12.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 02:48:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pl2303 patch from the upstream changeset (2.24 KB, patch)
2008-02-21 22:47 UTC, Kevin W. Rudd
no flags Details | Diff

Description Kevin W. Rudd 2008-02-21 22:47:02 UTC
Description of problem: After updating a x86 based system using USB attached
serial devices (based on the PL2303 chipset) from FC6 to FC8, the system started
experiencing character loss on the serial ports.

Version-Release number of selected component (if applicable):

Fedora release 8 (Werewolf)
kernel-2.6.23.15-137.fc8
(also seen with kernel-2.6.23.1-42.fc8)

How reproducible: Very.  Simply logging in via modem would show character loss
in the /etc/issue output.  UUCP (I know, who still uses that?) was the hardest hit:

(2008-02-17 04:33:29.17 32027) ERROR: Timed out waiting for packet
(2008-02-17 04:33:29.17 32027) Errors: header 4, checksum 5, order 0, remote
rejects 2
(2008-02-17 05:03:38.47 4808) ERROR: Timed out waiting for packet
(2008-02-17 05:03:38.47 4808) Errors: header 2, checksum 4, order 0, remote
rejects 1
uucico sopwith mail (2008-02-17 05:18:42.42 4891) ERROR: Timed out waiting for
packet
(2008-02-17 05:18:42.42 4891) Errors: header 0, checksum 0, order 0, remote
rejects 1
(2008-02-17 06:01:59.94 5111) Errors: header 0, checksum 0, order 0, remote
rejects 8
(2008-02-17 06:18:20.86 5162) ERROR: Timed out waiting for packet

Steps to Reproduce:
1. Install FC8
2. Attach a PL2303 USB serial device
3. Use it ;-)
  
Actual results:

Character loss.

Expected results:

No character loss.

Additional info: The problem has already been found and fixed upstream.  Please
see the following changeset:

http://linux.bkbits.net:8080/linux-2.6/?PAGE=cset&REV=47841262cQWC_Dd1dc8leOIwD7_tQg

Here is the summary text for that changeset:

pl2303: Fix mode switching regression

Cleaning out all the incorrect 'no change made' checks for termios
settings showed up a problem with the PL2303. The hardware here seems to
lose sync and bits if you tell it to make no changes. This shows up with
a real world application.

To fix this the driver check for meaningful hardware changes is restored
but doing the tests correctly and as a tty layer function so it doesn't
get duplicated wrongly everywhere if other drivers turn out to need it.

Signed-off-by: Alan Cox <alan@redhat.com>
Tested-by: Mirko Parthey <mirko.parthey@informatik.tu-chemnitz.de>
Signed-off-by: Linus Torvalds <torvalds@linux-foundation.org>

GIT: bf5e5834bffc62b50cd4a201804506eb11ef1af8

I applied the referenced changes and built a test kernel.  So far, so good.  No
data loss.  Please roll these changes into the next FC8 kernel as soon as
possible.  I'll attach the patch I built my kernel from (based on the
2.6.23.15-137.fc8 source)

Comment 1 Kevin W. Rudd 2008-02-21 22:47:02 UTC
Created attachment 295568 [details]
pl2303 patch from the upstream changeset

Comment 2 Chuck Ebbert 2008-02-22 00:20:46 UTC
2.6.24.2-7 kernel is in updates-testing now with this patch already included.

Comment 3 Kevin W. Rudd 2008-03-09 17:16:06 UTC
Looks good.  My system has been running fine with the latest kernel
(2.6.24.3-12.fc8).  Feel free to close this one out.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.